
Katello - Bug #5892

UI should raise success notification on updating system's custom info

05/22/2014 11:15 PM - Adam Price

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 970079 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=970079

Description of problem:

On updating custom info of a system, UI should raise success notification.

Version-Release number of selected component (if applicable):

katello-cli-common-1.4.2-6.el6sat.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch

katello-common-1.4.2-8.el6sat.noarch

ruby193-rubygem-katello-foreman-engine-0.0.3-4.el6sat.noarch

katello-qpid-client-key-pair-1.0-1.noarch

katello-glue-candlepin-1.4.2-8.el6sat.noarch

katello-glue-pulp-1.4.2-8.el6sat.noarch

katello-configure-foreman-1.4.3-12.el6sat.noarch

katello-cli-1.4.2-6.el6sat.noarch

katello-certs-tools-1.4.2-2.el6sat.noarch

katello-glue-elasticsearch-1.4.2-8.el6sat.noarch

katello-selinux-1.4.3-3.el6sat.noarch

katello-1.4.2-8.el6sat.noarch

katello-foreman-all-1.4.2-8.el6sat.noarch

ruby193-rubygem-foreman-katello-engine-0.0.8-4.el6sat.noarch

signo-katello-0.0.15-1.el6sat.noarch

katello-configure-1.4.3-12.el6sat.noarch

katello-all-1.4.2-8.el6sat.noarch

katello-qpid-broker-key-pair-1.0-1.noarch

How reproducible:

always

Steps to Reproduce:

1. Register a system

2. Add custom info for a registered system (selet system --> details --> custom info

3. update the custom info

Actual results:

no notification generated

Expected results:

UI should raise success notification on updating system's custom info

Additional info:

Associated revisions

Revision 6703fb57 - 05/27/2014 01:06 PM - Adam Price 

fixes #5892 - displays notification on add and delete, BZ970079
Revision aa428349 - 05/27/2014 05:06 PM - Adam Price

fixes #5892 - displays notification on add and delete, BZ970079

Revision 9afaf7fb - 05/28/2014 09:52 AM - Adam Price 

Merge pull request #4146 from komidore64/rmi5892-custom-info-notifications

fixes #5892 - displays notification on add and delete, BZ970079

Revision 93ebbd01 - 05/28/2014 01:52 PM - Adam Price

Merge pull request #4146 from komidore64/rmi5892-custom-info-notifications

fixes #5892 - displays notification on add and delete, BZ970079

Revision d8d3a30a - 06/03/2014 02:13 PM - Adam Price 

refs #5892 - adding notifcation for custom_info update, BZ 970079

Revision 24ef1c62 - 06/03/2014 06:13 PM - Adam Price

refs #5892 - adding notifcation for custom_info update, BZ 970079

Revision a7ba5cb7 - 06/06/2014 08:44 AM - Adam Price 

Merge pull request #4187 from komidore64/rmi5892-custom-info-notification-on-update

refs #5892 - adding notifcation for custom_info update, BZ 970079

Revision ad7c53bd - 06/06/2014 12:44 PM - Adam Price

Merge pull request #4187 from komidore64/rmi5892-custom-info-notification-on-update

refs #5892 - adding notifcation for custom_info update, BZ 970079

History

#1 - 05/28/2014 02:52 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:aa428349f0580b48cf6840b7b9c0151f474877f4.

#2 - 05/30/2014 10:38 PM - Eric Helms

- Target version set to 45

- Triaged set to Yes

#3 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
